%{
/* Cherokee
 *
 * Authors:
 *      Alvaro Lopez Ortega <alvaro@alobbs.com>
 *
 * Copyright (C) 2001-2002 Alvaro Lopez Ortega
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 */

#include "read_config_yacc.h"

#include <stdio.h>
#include <string.h>
%}

%option yylineno

ws              [ \t]+
integer         -?[0-9]+
comment         #.*$
fpath           \/[^\"\{\}\n ]*
qstring         \"[^\"\{\}\n]*\"
id              [_a-zA-Z][\._a-zA-Z0-9]*
nl              \n

%%

"Handler"      { return T_HANDLER; }
"Port"         { return T_PORT; }
"DocumentRoot" { return T_DOCUMENT_ROOT; }
"Log"          { return T_LOG; }
"Timeout"      { return T_TIMEOUT; }
"MimeFile"     { return T_MIME_FILE; }
"Directory"    { return T_DIRECTORY; }
"KeepAlive"    { return T_KEEPALIVE; }
"On"           { yylval.number = 1; return T_NUMBER; }
"Off"          { yylval.number = 0; return T_NUMBER; }

{integer}      { yylval.number = atoi(yytext); return T_NUMBER; }

{id}           { yylval.string = strdup(yytext); return T_ID; }
{qstring}      { yylval.string = strdup(yytext); return T_QSTRING; }
{fpath}        { yylval.string = strdup(yytext); return T_FULLDIR; }

{comment}      ;
{nl}           ;
{ws}           ;

.		     { return yytext[0]; }

%%

int 
yywrap()
{
       return 1;
}

